body {
    background-color: #111;
    color: #fff;
    font-family: 'Courier New', monospace;
    margin: 0;
    padding: 0;
}

header {
    text-align: center;
    padding: 20px 0;
    border-bottom: 2px solid #444;
}

#barata {
    width: 100px;
    height: 66px;
    margin-top: 30PX;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotateY(0deg);
    transform-style: preserve-3d;
    animation: girar 5s linear infinite;
}

.corpo {
    width: 100%;
    height: 100%;
    background-color: #13bd1c;
    border-radius: 50% 50% 20% 20%;
    position: absolute;
    transform: rotateY(0deg) translateZ(25px);
}

.perna {
    width: 10px;
    height: 20px;
    background-color: #0f0;
    position: absolute;
}

.perna1 { top: 10px; left: 0; }
.perna2 { top: 10px; right: 0; }
.perna3 { top: 30px; left: 5px; }
.perna4 { top: 30px; right: 5px; }
.perna5 { top: 50px; left: 10px; }
.perna6 { top: 50px; right: 10px; }

.olho {
    width: 10px;
    height: 10px;
    background-color: red;
    border-radius: 50%;
    position: absolute;
}

.olho1 { top: 20px; left: 20px; }
.olho2 { top: 20px; right: 20px; }

.texto {
    width: 30px;
    height: 20px;
    color: #0f0;
    font-size: 16px;
    text-align: center;
    line-height: 20px;
    position: absolute;
}

.texto1 { top: 30px; left: 10px; }
.texto2 { top: 30px; right: 10px; }
.texto3 { top: 60px; left: 40px; }
.texto4 { top: 60px; right: 40px; }

@keyframes girar {
    0% { transform: translate(-50%, -50%) rotateY(0deg); }
    100% { transform: translate(-50%, -50%) rotateY(360deg); }
}

#avisos {
    background-color: #222;
    padding: 10px;
    margin-bottom: 20px;
}

.marquee-container {
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
}

.marquee {
    display: inline-block;
    padding-left: 100%;
    animation: marquee 15s linear infinite;
    color: #0f0;
}

@keyframes marquee {
    0% { transform: translateX(0%); }
    100% { transform: translateX(-100%); }
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.simbolo {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    text-decoration: none;
    color: #0f0;
    font-size: 20px; 
}


.simbolo:hover {
    opacity: 0.8;
}

#horarios-salas,
#estrutura-curricular {
    padding: 15px;
}

table {
    width: 100%;
    margin: 0;
    font-size: 12px;
}

th, td {
    border: 1px solid #444;
    padding: 10px 5px 10px 5px;
    text-align: center;
}

th {
    background-color: #333;
}

#grade-curricular table {
    width: 100%;
    border-collapse: collapse;
    user-select: none
}

#grade-curricular th, #grade-curricular td {
    border: 1px solid #444;
    padding: 10px;
    text-align: left;
}

#grade-curricular th {
    background-color: #333;
}

#grade-curricular td {
    cursor: pointer;
    padding: 10px; 
}

.materia-box {
    font-size: 11px;
    display: inline-block;
    padding: 10px 15px;
    height: auto;
    width: 100px;
    margin: 5px;
    border: 1px solid #ccc;
    background-color: #333;
    cursor: pointer;
    border-radius: 5px;
    user-select: none
}

.materia-box:hover {
    background-color: #0f0;
    color: #000;
}

.materia-box.periodo-4-10:hover {
    background-color: red;
    color: #fff; 
}

/* Estilos do modal */
.modal {
    color: #000;
    font-size: 12px;
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


.materia {
    background-color: #222;
    padding: 15px;
    text-align: center;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

.materia:hover {
    background-color: #333;
}
